Schools v1

API for listing schools (v1)

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This requests provides list from schools where Edtech has links. Informing basic school data and datasets, attributes that will be sent and how they will be sent, minimized or not.
With this call, the application will always have the information for which schools it can synchronize the data.
Edtechs can use this API creating an automation for the registration of schools in their internal system.

Return structure

{
    "escolas":[
        {
          "nome": "Escola Sucesso",
          "cnpj": "16350762000158",
          "endereco": "Av. Show de Bola",
          "code": "abcd-123645-asd123csa-jhvdos1igr3m1o",
          "configuracao": {
            "conjuntoDadosUsuario": {
              "atributosPermitidos": [
                "nome_usuario",
                "idade",
                "cpf",
                "email_usuario",
                "telefone"
              ],
              "atributosAnonimizados": [
              	"idade",
                "cpf"
              ]
            }
          }
        }
    ]
}

Request

  • Mandatory Headers

    • Autenticação
  • Environment

GET PRD https://apihub.educacional.com/manager/v1/data/schools

GET QA https://qa-apihub.educacional.com/manager/v1/data/schools

"x-api-key": "apikey.hubeducacionalpontocom"
  • Code 401: Not Authorized, when the code passed is from an institution not linked to Edtech
  • Code 404: Not Found, when the code entered is not in the HUB.
  • Code 500: Internal Error
Path Params
string
enum
required

Environment

Allowed:
Headers
string
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json